<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Trade graphical</title>
</head>
<body>
<div style="text-align: center">
    <label for="host">Host: </label><input id="host" type="text" value="http://localhost:3000"/>
    <button onclick="bot.host(document.getElementById('host').value)">Set Host</button>
    <br>
    <button onclick="bot.login()">Login</button>
    <button onclick="bot.reset_token()">Reset token</button>
    <button onclick="bot.pause()">Pause</button>
    <button onclick="bot.resume()">Resume</button>
    <br>
    <label for="marketplace_id">Market place id: </label><input id="marketplace_id" type="number" value="1"/>
    <br>
    <label for="count">Count: </label><input id="count" type="number" value="1"/>
    <label for="index">Index: </label><input id="index" type="number" value="-1"/>
    <button onclick="bot.pull(document.getElementById('marketplace_id').value, document.getElementById('count').value, document.getElementById('index').value)">Pull</button>
    <br>
    <label for="quantity">Quantity: </label><input id="quantity" type="number" value="1"/>
    <button onclick="bot.buy(document.getElementById('marketplace_id').value, document.getElementById('quantity').value)">Buy</button>
    <button onclick="bot.sell(document.getElementById('marketplace_id').value, document.getElementById('quantity').value)">Sell</button>
    <br>
    <label for="max_value">Max value: </label><input id="max_value" type="number" value="100"/>
    <button onclick="bot.balance()">Balance</button>
    <br>
    <label for="balance">Balance: </label><input id="balance" type="number"/>
    <br>
    <label for="balance_1">1: </label><input id="balance_1" type="number"/>
    <label for="balance_2">2: </label><input id="balance_2" type="number"/>
    <br>
    <label for="balance_3">3: </label><input id="balance_3" type="number"/>
    <label for="balance_4">4: </label><input id="balance_4" type="number"/>
    <br>
    <h1>Market Place 1</h1>
    <canvas id="chart_1"></canvas>
    <br>
    <h1>Market Place 2</h1>
    <canvas id="chart_2"></canvas>
    <br>
    <h1>Market Place 3</h1>
    <canvas id="chart_3"></canvas>
    <br>
    <h1>Market Place 4</h1>
    <canvas id="chart_4"></canvas>
    <br>
</div>
<script>
    const Bot = require('./bot.js'),
        bot = new Bot(["chart_1", "chart_2", "chart_3", "chart_4"])
</script>
</body>
</html>
